com.fasterxml.jackson.module.afterburner.deser

## Class BeanPropertyMutator

- java.lang.Object
- - com.fasterxml.jackson.module.afterburner.deser.BeanPropertyMutator

- Direct Known Subclasses:
    DelegatingPropertyMutator

      public abstract class BeanPropertyMutator
      extends Object

  Abstract class that defines interface for implementations that can be used proxy-like to change values of properties, without using Reflection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanPropertyMutator()` Default constructor used for creating a "blueprint" instance, from which per-field/per-method instances specialize.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `booleanField(Object bean, int propertyIndex, boolean value)`
    `void` | `booleanSetter(Object bean, int propertyIndex, boolean value)`
    `void` | `intField(Object bean, int propertyIndex, int value)`
    `void` | `intSetter(Object bean, int propertyIndex, int value)`
    `void` | `longField(Object bean, int propertyIndex, long value)`
    `void` | `longSetter(Object bean, int propertyIndex, long value)`
    `void` | `objectField(Object bean, int propertyIndex, Object value)`
    `void` | `objectSetter(Object bean, int propertyIndex, Object value)`
    `void` | `stringField(Object bean, int propertyIndex, String value)`
    `void` | `stringSetter(Object bean, int propertyIndex, String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanPropertyMutator

          public BeanPropertyMutator()

      Default constructor used for creating a "blueprint" instance, from which per-field/per-method instances specialize.

  - ### Method Detail

    - #### intSetter

          public void intSetter(Object bean,
                                int propertyIndex,
                                int value)
                         throws IOException

      Throws:
        `IOException`

    - #### longSetter

          public void longSetter(Object bean,
                                 int propertyIndex,
                                 long value)
                          throws IOException

      Throws:
        `IOException`

    - #### booleanSetter

          public void booleanSetter(Object bean,
                                    int propertyIndex,
                                    boolean value)
                             throws IOException

      Throws:
        `IOException`

    - #### stringSetter

          public void stringSetter(Object bean,
                                   int propertyIndex,
                                   String value)
                            throws IOException

      Throws:
        `IOException`

    - #### objectSetter

          public void objectSetter(Object bean,
                                   int propertyIndex,
                                   Object value)
                            throws IOException

      Throws:
        `IOException`

    - #### intField

          public void intField(Object bean,
                               int propertyIndex,
                               int value)
                        throws IOException

      Throws:
        `IOException`

    - #### longField

          public void longField(Object bean,
                                int propertyIndex,
                                long value)
                         throws IOException

      Throws:
        `IOException`

    - #### booleanField

          public void booleanField(Object bean,
                                   int propertyIndex,
                                   boolean value)
                            throws IOException

      Throws:
        `IOException`

    - #### stringField

          public void stringField(Object bean,
                                  int propertyIndex,
                                  String value)
                           throws IOException

      Throws:
        `IOException`

    - #### objectField

          public void objectField(Object bean,
                                  int propertyIndex,
                                  Object value)
                           throws IOException

      Throws:
        `IOException`

Copyright © 2022 FasterXML. All rights reserved.